Endpoints

Library

Library endpoints of the Elnora REST API.

Base URL https://platform.elnora.ai/api/v1. Authenticate every request with the X-API-Key header — see Authentication.

GET /organizations/{orgId}/library/files

List published files in the organization library.

curl https://platform.elnora.ai/api/v1/organizations/{orgId}/library/files \
  -H "X-API-Key: $ELNORA_API_KEY"

Parameters

NameInTypeRequired
orgIdpathuuidyes
folderIdqueryuuidno
Pagequeryint32no
PageSizequeryint32no
SortByquerystringno
SortDirectionquerystringno

Responses: 200

GET /organizations/{orgId}/library/folders

Get org library folder tree.

curl https://platform.elnora.ai/api/v1/organizations/{orgId}/library/folders \
  -H "X-API-Key: $ELNORA_API_KEY"

Parameters

NameInTypeRequired
orgIdpathuuidyes

Responses: 200

POST /organizations/{orgId}/library/folders

Create an org library folder (admin only).

curl -X POST https://platform.elnora.ai/api/v1/organizations/{orgId}/library/folders \
  -H "X-API-Key: $ELNORA_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{ "name": "..." }'

Parameters

NameInTypeRequired
orgIdpathuuidyes

Request body

FieldTypeRequired
namestringyes
parentFolderIduuidno

Responses: 201

PUT /organizations/{orgId}/library/folders/{id}

Rename an org library folder (admin only).

curl -X PUT https://platform.elnora.ai/api/v1/organizations/{orgId}/library/folders/{id} \
  -H "X-API-Key: $ELNORA_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{ "name": "..." }'

Parameters

NameInTypeRequired
orgIdpathuuidyes
idpathuuidyes

Request body

FieldTypeRequired
namestringyes

Responses: 200

DELETE /organizations/{orgId}/library/folders/{id}

Delete an org library folder (admin only).

curl -X DELETE https://platform.elnora.ai/api/v1/organizations/{orgId}/library/folders/{id} \
  -H "X-API-Key: $ELNORA_API_KEY"

Parameters

NameInTypeRequired
orgIdpathuuidyes
idpathuuidyes

Responses: 204

On this page